{
    attributes = (
        {
            columnName = "CTRA_ORDRE"; 
            externalType = NUMBER; 
            name = avenantOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_BAP"; 
            externalType = VARCHAR2; 
            name = cBap; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = cCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_COND_RECRUT"; 
            externalType = VARCHAR2; 
            name = cCondRecrut; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_DEA"; 
            externalType = CHAR; 
            name = cDea; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_DISC_SECOND_DEGRE"; 
            externalType = VARCHAR2; 
            name = cDiscSecondDegre; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_ECHELON"; 
            externalType = VARCHAR2; 
            name = cEchelon; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_GRADE"; 
            externalType = VARCHAR2; 
            name = cGrade; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODEEMPLOI; 
            externalType = VARCHAR2; 
            name = codeemploi; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_SPECIALITE_ATOS"; 
            externalType = VARCHAR2; 
            name = cSpecialiteAtos; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_SPECIALITE_ITARF"; 
            externalType = VARCHAR2; 
            name = cSpecialiteItarf; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_DUREE"; 
            externalType = NUMBER; 
            name = ctraDuree; 
            precision = 8; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_DUREE_VALIDEE_ANNEES"; 
            externalType = NUMBER; 
            name = ctraDureeValideeAnnees; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_DUREE_VALIDEE_JOURS"; 
            externalType = NUMBER; 
            name = ctraDureeValideeJours; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_DUREE_VALIDEE_MOIS"; 
            externalType = NUMBER; 
            name = ctraDureeValideeMois; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_ORDRE_PREC"; 
            externalType = NUMBER; 
            name = ctraOrdrePrec; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_PC_ACQUITEES"; 
            externalType = VARCHAR2; 
            name = ctraPcAcquitees; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_QUOTITE_COTISATION"; 
            externalType = NUMBER; 
            name = ctraQuotiteCotisation; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CTRA_TYPE_TEMPS"; 
            externalType = VARCHAR2; 
            name = ctraTypeTemps; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_ARRETE"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CONTRAT_AV"; 
            externalType = DATE; 
            name = dDebAvenant; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CONTRAT_AV"; 
            externalType = DATE; 
            name = dFinAvenant; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_REF_CTR_AVENANT"; 
            externalType = DATE; 
            name = dRefCtrAvenant; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_VAL_CONTRAT_AV"; 
            externalType = DATE; 
            name = dValContratAv; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FONCTION_CTR_AV"; 
            externalType = VARCHAR2; 
            name = fonctionCtrAvenant; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = "INDICE_CONTRAT"; 
            externalType = VARCHAR2; 
            name = indiceContrat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = MONTANT; 
            externalType = NUMBER; 
            name = montant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NBR_UNITE"; 
            externalType = NUMBER; 
            name = nbrUnite; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_AVENANT"; 
            externalType = VARCHAR2; 
            name = noAvenant; 
            valueClassName = NSString; 
            valueType = S; 
            width = 12; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_CNU"; 
            externalType = NUMBER; 
            name = noCnu; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_CONTRAT"; 
            externalType = NUMBER; 
            name = noSeqContrat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NUM_QUOT_RECRUTEMENT"; 
            externalType = NUMBER; 
            name = numQuotRecrutement; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "POURCENT_SMIC"; 
            externalType = NUMBER; 
            name = pourcentSmic; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REFERENCE_CONTRAT"; 
            externalType = VARCHAR2; 
            name = referenceContrat; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TAUX_HORAIRE"; 
            externalType = NUMBER; 
            name = tauxHoraire; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ANNULATION"; 
            externalType = CHAR; 
            name = temAnnulation; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ARRETE_SIGNE"; 
            externalType = CHAR; 
            name = temArreteSigne; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_GEST_ETAB"; 
            externalType = CHAR; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_PAIEMENT_PONCTUEL"; 
            externalType = CHAR; 
            name = temPaiementPonctuel; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TUT_ORDRE"; 
            externalType = NUMBER; 
            name = tutOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_MONTANT"; 
            externalType = VARCHAR2; 
            name = typeMontant; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        avenantOrdre, 
        cBap, 
        cCategorie, 
        cCondRecrut, 
        cDea, 
        cDiscSecondDegre, 
        cEchelon, 
        cGrade, 
        codeemploi, 
        cSpecialiteAtos, 
        cSpecialiteItarf, 
        ctraDuree, 
        ctraDureeValideeAnnees, 
        ctraDureeValideeJours, 
        ctraDureeValideeMois, 
        ctraPcAcquitees, 
        ctraQuotiteCotisation, 
        ctraTypeTemps, 
        fonctionCtrAvenant, 
        indiceContrat, 
        nbrUnite, 
        noArrete, 
        noAvenant, 
        noCnu, 
        noSeqContrat, 
        numQuotRecrutement, 
        pourcentSmic, 
        referenceContrat, 
        temAnnulation, 
        temArreteSigne, 
        temGestEtab, 
        temPaiementPonctuel, 
        tutOrdre, 
        typeMontant
    ); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EOContratAvenant"; 
    classProperties = (
        cDea, 
        cEchelon, 
        ctraDuree, 
        ctraDureeValideeAnnees, 
        ctraDureeValideeJours, 
        ctraDureeValideeMois, 
        ctraOrdrePrec, 
        ctraPcAcquitees, 
        ctraQuotiteCotisation, 
        ctraTypeTemps, 
        dateArrete, 
        dCreation, 
        dDebAvenant, 
        dFinAvenant, 
        dModification, 
        dRefCtrAvenant, 
        dValContratAv, 
        fonctionCtrAvenant, 
        indiceContrat, 
        montant, 
        nbrUnite, 
        noArrete, 
        noAvenant, 
        numQuotRecrutement, 
        pourcentSmic, 
        referenceContrat, 
        tauxHoraire, 
        temAnnulation, 
        temArreteSigne, 
        temGestEtab, 
        temPaiementPonctuel, 
        toBap, 
        toCategorie, 
        toCnu, 
        toContrat, 
        toGrade, 
        toTypeUniteTemps, 
        toReferensEmplois, 
        typeMontant
    ); 
    externalName = "MANGUE.CONTRAT_AVENANT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cDea, 
            cEchelon, 
            ctraDuree, 
            ctraDureeValideeAnnees, 
            ctraDureeValideeJours, 
            ctraDureeValideeMois, 
            ctraPcAcquitees, 
            ctraQuotiteCotisation, 
            ctraTypeTemps, 
            dateArrete, 
            dDebAvenant, 
            dFinAvenant, 
            dRefCtrAvenant, 
            dValContratAv, 
            fonctionCtrAvenant, 
            indiceContrat, 
            montant, 
            nbrUnite, 
            noArrete, 
            noAvenant, 
            numQuotRecrutement, 
            pourcentSmic, 
            referenceContrat, 
            tauxHoraire, 
            temAnnulation, 
            temArreteSigne, 
            temGestEtab, 
            temPaiementPonctuel, 
            toBap, 
            typeMontant
        ); 
    }; 
    name = "Fwkgrh_ContratAvenant"; 
    primaryKeyAttributes = (avenantOrdre); 
    relationships = (
        {
            destination = "Fwkpers_Bap"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cBap; sourceAttribute = cBap; }); 
            name = toBap; 
        }, 
        {
            destination = "Fwkpers_Categorie"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCategorie; sourceAttribute = cCategorie; }); 
            name = toCategorie; 
        }, 
        {
            destination = "Fwkpers_Cnu"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noCnu; sourceAttribute = noCnu; }); 
            name = toCnu; 
        }, 
        {
            destination = "Fwkgrh_Contrat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noSeqContrat; sourceAttribute = noSeqContrat; }); 
            name = toContrat; 
        }, 
        {
            destination = "Fwkpers_Grade"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cGrade; sourceAttribute = cGrade; }); 
            name = toGrade; 
        }, 
        {
            destination = "Fwkpers_TypeUniteTemps"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = tutOrdre; }); 
            name = toTypeUniteTemps; 
        }, 
        {
            destination = "Fwkpers_ReferensEmplois"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = codeEmploi; sourceAttribute = codeemploi; }); 
            name = toReferensEmplois; 
        }
    ); 
}
